Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Marshmallow warnings.py not Python 2 compatible from version 2.18.0 #1337

Closed
airstandley opened this issue Aug 9, 2019 · 2 comments

Comments

@airstandley
Copy link
Contributor

commented Aug 9, 2019

The unused_and_removed_in_ma3 decorator introduced in version 2.18.0 is not Python 2.7 compatible due to absolute import not being used.

To reproduce simply attempt to call a decorated method.

from marshmallow.utils import float_to_decimal
float_to_decimal(12.3)

Expected:
Method executes but logs a RemovedInMarshmallow3Warning

Actual:
AttributeError: 'module' object has no attribute 'warn' is raised.

@deckar01

This comment has been minimized.

Copy link
Member

commented Aug 9, 2019

I was able to reproduce this issue on v2.19.5 with python 2.7.16. I also confirmed that this issue is not present on python 3.7.2. I also noticed this issue number is very #1337. 😄

@sloria

This comment has been minimized.

Copy link
Member

commented Aug 10, 2019

Fix is released in 2.20.0. Thanks for the report and fix!

@sloria sloria closed this Aug 10, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.